Symptoom

Bij het sluiten van een Access database verschijnt de foutmelding dat voor het wijzigen van het ontwerp minimaal versie 14.0.0000.0000 nodig is

Remedie

  • Gebruik de database is de versie waarin hij gemaakt is, namelijk Microsoft Access 2010.
  • Verwijder functionaliteit uit de database zodat hij weer compatibel is met Access 2010.
  • Installeer Access 2007 Service Pack 2 (SP2).

Verdieping

De database is een .acdb bestand dat is gemaakt in Microsoft Access 2010. Zowel Access 2007 als 2010 maken gebruik van het nieuwe databaseformaat .accdb, maar er zijn wel degelijk verschillen tussen de versies. Access 2010 ondersteunt diverse functies en databasetypen die versie 2007 nog niet kent.

Daarom kunt u in een aantal gevallen een in Access 2010 gemaakte database wel openen in versie 2007, maar krijgt u bij het afsluiten een foutmelding zoals hieronder. De melding zelf had wel wat duidelijker mogen zijn.

Tot de nieuwe functies waarmee Access 2007 niet overweg kan behoren:

  • Sorteervolgorden voor Chinees, Japans, Roemeens, Servisch, Kroatisch en Bosnisch
  • Databases met Web objecten
  • Datamacro’s
  • Berekende kolommen
  • Gekoppelde tabellen met verbindingsreeksen van meer dan 512 tekens
  • Application Navigation Control
  • Web Browser Control

Een factor die het openen van Access 2010 databases nog onduidelijker maakt is het feit dat er verschil zit tussen Access 2007 met Service Pack 1 (SP1) en Access 2007 met Service Pack 2 (SP2). In het eerste geval wil een Access 2010 database soms helemaal niet openen. Heeft u Access 2007 met SP2, dan lukt het openen wel. Maar het bekijken en het wijzigen van het ontwerp van de database kan aan beperkingen onderhevig zijn. Voor de duidelijkheid: als u Access 2007 met SP2 heeft kunt u bepaalde Access 2010 databases wel openen, maar u kunt nog steeds de foutmelding uit de afbeelding krijgen.

Tip

  • Een Access 2010 kan ook niet worden opgeslagen naar het oude .mdb formaat van Access 2003 en eerder wanneer deze gebruik maakt van nieuwe functionaliteit. U mag alleen gebruik maken van functies en veldtypen die niet nieuw zijn voor Access 2007 of 2010.